Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQVBoxLayout Class Reference

The TQVBoxLayout class lines up widgets vertically. More...

`#include <ntqlayout.h>`

Inherits TQBoxLayout.

List of all member functions.

## Public Members

- TQVBoxLayout ( TQWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )
- TQVBoxLayout ( TQLayout * parentLayout, int spacing = -1, const char * name = 0 )
- TQVBoxLayout ( int spacing = -1, const char * name = 0 )
- ~TQVBoxLayout ()

## Detailed Description

The TQVBoxLayout class lines up widgets vertically.

This class is used to construct vertical box layout objects. See TQBoxLayout for more details.

The simplest use of the class is like this:

            TQBoxLayout * l = new TQVBoxLayout( widget );
            l->addWidget( aWidget );
            l->addWidget( anotherWidget );

See also TQHBoxLayout, TQGridLayout, the Layout overview, Widget Appearance and Style, and Layout Management.

## Member Function Documentation

### TQVBoxLayout::TQVBoxLayout ( TQWidget * parent, int margin = 0, int spacing = -1, const char * name = 0 )

Constructs a new top-level vertical box called name, with parent parent.

The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

### TQVBoxLayout::TQVBoxLayout ( TQLayout * parentLayout, int spacing = -1, const char * name = 0 )

Constructs a new vertical box called name name and adds it to parentLayout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this TQVBoxLayout will inherit its parent's spacing().

### TQVBoxLayout::TQVBoxLayout ( int spacing = -1, const char * name = 0 )

Constructs a new vertical box called name name. You must add it to another layout.

The spacing is the default number of pixels between neighboring children. If spacing is -1, this TQVBoxLayout will inherit its parent's spacing().

### TQVBoxLayout::~TQVBoxLayout ()

Destroys this box layout.

The layout's widgets aren't destroyed.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.